---
title: "Atreyu keyboard Build"
description: "Creating a working ergonomic keyboard from files on git."
date: "2023-10-1"
---

### It started with an existing keyboard

It all began with the [lily58](https://www.littlekeyboards.com/collections/lily58-pcb-kits/products/lily58-pro-pcb-kit). An ergonomic keyboard that has 58 keys. I loved the design and layout. But it wasn't portable. It required a large amount of desk space to function comfortably.

I began to browse around for other options. A portable, wireless, lily58 keyboard.

### Finding the right project

I found [this post](https://kbd.news/Atreyu-Rev2-MX-1911.html). Which lead me to the extremely well documented [github project](https://github.com/climent/atreyu/tree/main/pcb/v2-choc). But there was a huge problem. Where do I buy the keyboard? Where do I buy the parts?

**There are none!**

You need to fabricate and assemble this keyboard from the files on github

### Exporting the cutter files and fabrication

Using program I exported the cutter files

### Building and programming

After receiving the PCBs in the mail, I began soldering.

Understanding the ZMK firmware was a challenge. The way you program the keyboard is by building out header files in c. The documentation is decent but understanding what its doing and how its happening is challenging.

After much trial and error the keyboard was ready for action.

### Blank Keycaps

At first the blank keycaps were a cost saving measure. Keycaps without legends are considerably cheaper. But after some time using them, I have come to love them. Despite being able to touch type people generally still look at the keys frequently for numbers and symbols. Without any reference, you learn to touch type them as well. Ultimately it has made me a faster typist.
